# openclip -- a python library for working with
# openclip xml files
#
# @author: Robert Moggach <rob@moggach.com>
#
# openclip/exceptions.py -- custom exceptions
#

__all__=['BaseOpenClipException', 'InvalidOpenClipFile', 'InvalidVersionString', 'FormatError']

class BaseOpenClipException(Exception):

    def __init__(self, message=None):
        if not message:
            message = "Unknown OpenClip Exception."
        self.message = message
        super(BaseOpenClipException, self).__init__(self.message)


class InvalidOpenClipFile(BaseOpenClipException):
    '''special exception for invalid clip file errors'''
    def __init__(self, message=None):
        super(InvalidOpenClipFile, self).__init__(message)


class InvalidVersionString(BaseOpenClipException):
    '''special exception for invalid version name errors'''
    def __init__(self, message=None):
        super(InvalidVersionString, self).__init__(message)


class FormatError(BaseOpenClipException):
    '''special exception for seq format errors'''
    def __init__(self, message=None):
        super(FormatError, self).__init__(message)


